libmime-lite-perl (3.037-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Young ]
  * New upstream version 3.037.
  * Refresh remove_extra_newline.patch.
  * Remove override_dh_auto_install rule for generating CHANGES file,
    upstream now provides Changes.

  [ gregor herrmann ]
  * Remove no longer generated CHANGES from debian/clean.
  * Update debian/upstream/metadata.
  * debian/copyright: update upstream email address.

 -- Samuel Young <samyoung12788@gmail.com>  Tue, 10 Feb 2026 21:06:44 -0600

libmime-lite-perl (3.035-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Young ]
  * New upstream version 3.035.
  * Declare compliance with Debian Policy 4.7.3.
  * Remove <<Priority: optional>>, which is the current default.
  * Remove <<Rules-Requires-Root: no>>, which is the current default.
  * Unfuzz remove_extra_newline.patch.
  * Drop spelling-error-in-manpage patch, applied upstream.

  [ gregor herrmann ]
  * Add empty debian/tests/pkg-perl/syntax-skip to enable all tests in
    syntax.t despite Suggests.

 -- Samuel Young <samyoung12788@gmail.com>  Thu, 08 Jan 2026 12:37:33 -0600

libmime-lite-perl (3.033-2) unstable; urgency=medium

  * Remove generated test output via debian/clean. (Closes: #1047798)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Mar 2024 14:43:00 +0100

libmime-lite-perl (3.033-1) unstable; urgency=medium

  * Import upstream version 3.033.
  * Refresh patches, fix another typo
  * Update copyright years
  * Bump dh compat to level 13
  * Declare compliance with Debian Policy 4.6.0

 -- Florian Schlichting <fsfs@debian.org>  Sat, 04 Sep 2021 15:51:17 +0800

libmime-lite-perl (3.031-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Nick Morrott ]
  * New upstream version 3.031 (Closes: #387003)
  * d/changelog:
    - Delete trailing whitespace
  * d/control:
    - Declare compliance with Debian Policy 4.4.1
    - Bump debhelper-compatibilty level to 12
    - Add Rules-Requires-Root field
    - Drop unnecessary versioned dependency on MIME::Types
    - Annotate test-only build dependencies with <!nocheck>
    - Sort B-D-I for consistency
  * d/copyright:
    - Refresh Debian Files stanza
  * d/patches:
    - Refresh patch remove_extra_newline.patch (offset)
    - Add patch spelling-error-in-manpage
  * d/tests:
    - Add pkg-perl/smoke-files to include testin/
  * d/u/metadata:
    - Add upstream metadata
  * d/watch:
    - Migrate to version 4 watch file format

 -- Nick Morrott <nickm@debian.org>  Wed, 04 Dec 2019 14:18:00 +0000

libmime-lite-perl (3.030-2) unstable; urgency=medium

  * debian/control: update MTA relationship. Move from Recommends to
    Suggests, and replace nullmailer with default-mta. Thanks to Stanislav
    German-Evtushenko for the bug report and Jonas Smedegaard for his help
    in finding a good solution. (Closes: #750755)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Wed, 11 Jun 2014 19:18:26 +0200

libmime-lite-perl (3.030-1) unstable; urgency=low

  * Import Upstream version 3.030
  * Email change: Florian Schlichting -> fsfs@debian.org
  * Update years of upstream and packaging copyright

 -- Florian Schlichting <fsfs@debian.org>  Sun, 24 Nov 2013 19:57:20 +0100

libmime-lite-perl (3.029-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Florian Schlichting ]
  * Imported Upstream version 3.029.
  * Promoted dependency on libmailtools-perl from Recommends to Depends, to
    fix a nasty behaviour with illegal email addresses (RT #72295).
  * Bumped Standards-Version to 3.9.3 (use copyright-format 1.0).
  * Dropped fix_MIME-Version_hardwired.patch, fixed upstream.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Damyan Ivanov ]
  * drop trailing slash from metacpan URLs
  * claim conformance with Policy 3.9.5

 -- Damyan Ivanov <dmn@debian.org>  Tue, 05 Nov 2013 23:13:55 +0200

libmime-lite-perl (3.028-1) unstable; urgency=low

  * Imported Upstream version 3.028
  * Add upstream's warning to package description.
  * Drop spelling-error-in-manpage.patch, applied upstream.
  * Refresh patches.
  * Remove obsolete build-dependencies (libtest-pod*).
  * Update debian/copyright Format-URL.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Thu, 10 Nov 2011 22:00:32 +0000

libmime-lite-perl (3.027-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Florian Schlichting ]
  * Bump Standards-Version to 3.9.2 (directly link GPL-1).
  * Bump compatibility level to 8.
  * Switch to source format 3.0 (quilt).
  * Refresh d/copyright.
  * Pluck two patches from upstream RT:
    - fix_MIME-Version_hardwired.patch (Closes: #460395)
    - remove_extra_newline.patch
  * Add myself to Uploaders.
  * New spelling-error-in-manpage.patch.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Wed, 07 Sep 2011 14:41:06 +0000

libmime-lite-perl (3.027-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Yu <jawnsy@cpan.org>  Mon, 12 Oct 2009 07:40:43 -0400

libmime-lite-perl (3.026-1) unstable; urgency=low

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ gregor herrmann ]
  * New upstream release (closes: #547371).
  * Make (build) dependency on libmime-types-perl versioned.
  * Don't install README anymore, which talks about an old release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Sep 2009 22:13:43 +0200

libmime-lite-perl (3.025-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Add support for providing a non-default SMTP port
  * Move docs|examples -> libmime-lite-perl.{docs|perl}
  * Use overrides instead of the full rules file
  * Standards-Version 3.8.3 (drop perl version requirement)
  * Updated gregoa's e-mail address
  * Updated copyright information

  [ gregor herrmann ]
  * debian/control: Added: ${misc:Depends} to Depends: field.
  * New upstream release.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * Remove empty debian/patches directory.
  * debian/control: remove unversioned perl-modules from Depends.

 -- Jonathan Yu <frequency@cpan.org>  Sat, 22 Aug 2009 15:29:49 -0400

libmime-lite-perl (3.023-1) unstable; urgency=low

  [ gregor herrmann ]
  * Split out patch for #465342 into no_sendmail.patch; add quilt framework.
  * Add /me to Uploaders.
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Damyan Ivanov ]
  * New upstream release
    + drop no_sendmail.patch, applied upstream
      - remove quilt from control and rules
      - remove README.source -- not needed anymore as quilt is gone
  * Standards-Version: 3.8.0 (no changes)
  * convert debian/rules to ddebhelper7, bump debian/compat
  * debian/copyright:
    + use dist-based upstream URL
    + fill debian work copyrights from changelog; add licensing

 -- Damyan Ivanov <dmn@debian.org>  Sat, 22 Nov 2008 22:58:49 +0200

libmime-lite-perl (3.021-3) unstable; urgency=low

  * Patch upstream to not die if sendmail is not available (closes: #465342)
  * Remove build-dependency on nullmailer | mail-transport-agent
    (possible as a result of the above change)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 17 Feb 2008 23:04:21 +0000

libmime-lite-perl (3.021-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/rules: delete /usr/lib/perl5 only if it exists.
  * Move nullmailer|mail-transport-agent from Depends to Recommends; an MTA
    is not necessary but the sendmail method is the default; thanks to Josh
    Triplett for the proposal (closes: #462314).
  * Set debhelper compatibility level to 6.
  * debian/watch: use more sophisticated regexp for matching upstream
    versions.

 -- Roberto C. Sanchez <roberto@debian.org>  Thu, 24 Jan 2008 20:51:40 -0500

libmime-lite-perl (3.021-1) unstable; urgency=low

  [ Gunnar Wolf ]
  * New upstream release
  * Added recommendation and build-dependency on perl-modules,
    libmailtools-perl, libmime-types-perl
  * Added libemail-date-format-perl as a build-dependency/dependency,
    dropped libemail-date-perl

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/watch: use dist-based URL.
  * debian/rules:
    - remove unused veriable 'version'
    - use 'tmp' instead of 'prefix' to be able to use DESTDIR and PREFIX on
      make install
    - move dh_clean before make distclean
    - move 'export PERL_MM_USE_DEFAULT' to top of file
  * Set Standards-Version to 3.7.3 (no changes needed).

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 13 Dec 2007 17:00:22 -0600

libmime-lite-perl (3.020-2) unstable; urgency=low

  * Add libemail-date-perl to Depends (closes: #442402).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 15 Sep 2007 22:11:34 +0200

libmime-lite-perl (3.020-1) unstable; urgency=low

  * New upstream release
  * Add download URL to debian/copyright
  * Add information about contrib/MailTool.pm debian/copyright
  * debian/watch version 3; drop uupdate hook
  * Drop unused dh_installdirs from debian/rules
  * Add nullmailer|mail-transport-agent to Build-Depends-Indep as well as
    other needed modules so that tests run OK
  * Add nullmailer|mail-transport-agent to Depends:
  * Added myself to Uploaders:
  * remove testout/* in clean target

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Sep 2007 16:51:54 +0300

libmime-lite-perl (3.01-8) unstable; urgency=low

  * Use $(CURDIR) [make] instead of $(PWD) [sh] to fix issues with sudo.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun,  1 Oct 2006 14:27:21 +0200

libmime-lite-perl (3.01-7) unstable; urgency=low

  * Moved debhelper to Build-Depends.
  * Set Standards-Version to 3.7.2 (no changes).
  * Set Debhelper Compatibility Level to 5.
  * Added libmime-types-perl to Build-Depends-Indep.
  * Removed empty /usr/lib/perl5 from package.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 16 Jun 2006 16:12:03 +0200

libmime-lite-perl (3.01-6) unstable; urgency=low

  * MIME::Lite outputs non-RFC-compliant dates - Added a patch to
    address this. This problem is addressed in the CPAN request tracker
    (bug 274), but this module upstream development seems halted. Thanks
    to Nicolas Pomarede for pointing this out and providing a simple
    patch.
  * Does not ignore the output of make distclean anymore
  * Bumped up standards-version to 3.6.2 (no changes needed)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 20 Dec 2005 21:57:14 -0600

libmime-lite-perl (3.01-5) unstable; urgency=low

  * Added debian/watch

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 25 May 2005 11:03:09 -0500

libmime-lite-perl (3.01-4) unstable; urgency=low

  * Changes in %ENV are now kept local to the module (Closes: #289983)

 -- Gunnar Wolf <gwolf@debian.org>  Fri,  4 Mar 2005 17:25:35 -0600

libmime-lite-perl (3.01-3) unstable; urgency=low

  * Set the path to a sane default (/bin:/usr/bin) so that MIME::Lite
    will agree to send messages while running in Tainted mode (Closes:
    #268458)

 -- Gunnar Wolf <gwolf@debian.org>  Thu,  2 Dec 2004 13:42:08 -0600

libmime-lite-perl (3.01-2) unstable; urgency=low

  * changes.pod had the whole information in the =NAME section - Even if
    we do not treat it as a POD file anymore, I fixed it in the source.
    Notifying upstream as well.
  * changes.pod should not be a manual page, as it is a changelog -
    Moved it. (Closes: #283656)

 -- Gunnar Wolf <gwolf@debian.org>  Thu,  2 Dec 2004 12:57:36 -0600

libmime-lite-perl (3.01-1) unstable; urgency=low

  * New upstream release
  * Changed source package name from mime-lite to libmime-lite-perl in
    order to be more consistent with other Perl packages
  * New maintainer - Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> via Gunnar
    Wolf<gwolf@debian.org> (Closes: #279809)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 10 Nov 2004 10:40:11 -0600

mime-lite (2.117-5) unstable; urgency=low

  * Patch Lite.pm so that it returns usable addresses if Mail::Address is
    installed,
  Closes: #173627

 -- Stephen Zander <gibreel@debian.org>  Tue,  3 Feb 2004 01:07:08 -0800

mime-lite (2.117-4) unstable; urgency=low

  * Fix missing ')' in Build-Depends:,
  Closes: #173115

 -- Stephen Zander <gibreel@debian.org>  Mon, 24 Feb 2003 23:47:00 -0800

mime-lite (2.117-3) unstable; urgency=low

  * New maintainer.

 -- Stephen Zander <gibreel@debian.org>  Mon, 30 Sep 2002 10:52:12 -0700

mime-lite (2.117-2) unstable; urgency=low

  * debian/control: Changed Build-Depends to Build-Depends-Indep (lintian)
  * debian/rules: Build from binary-indep (Closes: #157511)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Aug 2002 20:20:25 -0500

mime-lite (2.117-1) unstable; urgency=low

  * Upgraded to upstream release 2.117

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Aug 2001 20:28:14 -0500

mime-lite (2.116-2) unstable; urgency=low

  * debian/rules: Change $(PERL) to perl (Closes: #109311)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Aug 2001 07:43:49 -0500

mime-lite (2.116-1) unstable; urgency=low

  * Upgraded to upstream release 2.116

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Aug 2001 08:40:39 -0500

mime-lite (2.115-1) unstable; urgency=low

  * Upgraded to upstream release 2.115

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Aug 2001 18:24:30 -0500

mime-lite (2.111-1) unstable; urgency=low

  * Upgraded to upstream release 2.111

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  7 Aug 2001 19:41:17 -0500

mime-lite (2.106-1) unstable; urgency=low

  * Initial Release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Mar 2001 09:17:30 -0600
